//
// Created by scoliono on 10/15/23.
//

#ifndef FEMMAPS_ROAD_H
#define FEMMAPS_ROAD_H

#include "../include/IntervalTree.h"
#include "RoadSensor.h"

class Road {

public:
    virtual const char *name() const = 0;
    virtual int id() const = 0;
    virtual const IntervalTree<int, int>& speedLimits() const = 0;
    virtual const std::vector<RoadSensor*>& sensors() const = 0;

};

#endif //FEMMAPS_ROAD_H
