//
// Created by scoliono on 10/14/23.
//

#ifndef FEMMAPS_SIGALERTROADSECTION_H
#define FEMMAPS_SIGALERTROADSECTION_H

#include "RoadDirection.h"
#include "SigalertRoad.h"
#include "SigalertTypes.h"


class SigalertRoadSection {

public:
    SigalertRoadSection(const SigalertRoadSectionJson& json, const SigalertRoad* road);
    inline RoadDirection direction() { return m_dir; }
    inline const SigalertRoad* road() { return m_road; }

private:
    const SigalertRoad* m_road;
    RoadDirection m_dir;
    int m_sensor_idx_range[2];
};


#endif //FEMMAPS_SIGALERTROADSECTION_H
