//
// Created by scoliono on 10/14/23.
//

#include "SigalertRoadSensor.h"


SigalertRoadSensor::SigalertRoadSensor(const int id, const std::string& name, const std::vector<int>& pos, int speed)
    : m_id(id), m_name(name), m_pos{pos[0], pos[1]}, m_speed(speed)
{
}

SigalertRoadSensor::~SigalertRoadSensor()
{
}

int SigalertRoadSensor::speedLimit()
{
    const IntervalTree<int, int> it = m_road->speedLimits();
    auto iv = it.findContained(m_id, m_id);
    if (!iv.size())
    {
        return -1;
    }
    return iv[0].value;
}
