//
// Created by scoliono on 10/29/23.
//

#ifndef FEMMAPS_SIGALERTTYPES_H
#define FEMMAPS_SIGALERTTYPES_H

#include "../include/json.hpp"

using nlohmann::json;


struct SigalertRoadJson {
    std::string name;
    int section_start_idx;
    int section_end_idx;
    std::vector<std::vector<int>> sensors;
};

struct SigalertRoadSectionJson {
    int road_id;
    std::string dir;
    std::string name;
    int sensor_start_idx;
    int sensor_end_idx;
};


void from_json(const json& j, SigalertRoadJson& obj);
void from_json(const json& j, SigalertRoadSectionJson& obj);


#endif //FEMMAPS_SIGALERTTYPES_H
